KDE 4.2 PyKDE API Reference

- KDE's Python API

# ItemMoveJob Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi.Job → KCompositeJob → KJob → QObject
Namespace: Akonadi

## Detailed Description

Job that moves an item into a different collection in the Akonadi storage.

This job takes an item and moves it to a collection in the Akonadi storage.

     Akonadi.Item item = ...
     Akonadi.Collection collection = Akonadi.Collection.root();

     Akonadi.ItemMoveJob *job = new Akonadi.ItemMoveJob( item, collection );
     if ( job->exec() )
       qDebug() << "Item moved successfully";
     else
       qDebug() << "Error occurred";

Author:
  Volker Krause <vkrause@kde.org>

## Methods

| __init__ (self, Akonadi.Item item, Akonadi.Collection target, QObject parent=0)
| doStart (self)

## Method Documentation

__init__ | ( | self, |
|  | Akonadi.Item | item,
|  | Akonadi.Collection | target,
|  | QObject | parent=0
| ) |  |  |

Move the given item into the given collection.

Parameters:

  | item | The item to move.
  | target | The target collection.
  | parent | The parent object.

doStart | ( |  | self ) |